package com.ruoyi.kaohe.service;

import java.util.List;
import com.ruoyi.kaohe.domain.KhPingce;

/**
 * 考核评测Service接口
 * 
 * @author hs
 * @date 2025-06-17
 */
public interface IKhPingceService 
{
    /**
     * 查询考核评测
     * 
     * @param id 考核评测主键
     * @return 考核评测
     */
    public KhPingce selectKhPingceById(Long id);

    /**
     * 查询考核评测列表
     * 
     * @param khPingce 考核评测
     * @return 考核评测集合
     */
    public List<KhPingce> selectKhPingceList(KhPingce khPingce);

    /**
     * 新增考核评测
     * 
     * @param khPingce 考核评测
     * @return 结果
     */
    public int insertKhPingce(KhPingce khPingce);

    /**
     * 修改考核评测
     * 
     * @param khPingce 考核评测
     * @return 结果
     */
    public int updateKhPingce(KhPingce khPingce);

    /**
     * 批量删除考核评测
     * 
     * @param ids 需要删除的考核评测主键集合
     * @return 结果
     */
    public int deleteKhPingceByIds(Long[] ids);

    /**
     * 删除考核评测信息
     * 
     * @param id 考核评测主键
     * @return 结果
     */
    public int deleteKhPingceById(Long id);
}
